---
ansible:
  verbose: vv
  playbook: tests/playbook.yml
  diff: True
  config_file: ../ansible.cfg

dependency:
  name: galaxy
  requirements_file: tests/requirements.yml

vagrant:
  providers:
  - name: virtualbox
    type: virtualbox
    options:
        cpus: 1
  platforms:
  - name: openbsd
    box: fnichol/openbsd-6.0-i386
  - name: xenial
    box: ubuntu/xenial32
  instances:
  - name: example
    options:
        append_platform_to_hostname: yes
  raw_config_args:
  - 'vm.synced_folder ".", "/vagrant", disabled: true'
  - 'vbguest.auto_update = false if Vagrant.has_plugin?("vbguest")'
  - 'landrush.enabled = false if Vagrant.has_plugin?("landrush")'
  - 'landrush_ip.override = false if Vagrant.has_plugin?("landrush")'
  - |
      vm.provider "virtualbox" do |v|
        v.customize "pre-boot", ["modifyvm", :id, "--hwvirtex", "off"]
      end

docker:
  containers:
  - name: example-xenial
    image: ubuntu
    image_version: xenial
    command: /sbin/init
    privileged: True
    volume_mounts:
      - /sys/fs/cgroup:/sys/fs/cgroup
      - /var/run/dbus/system_bus_socket:/var/run/dbus/system_bus_socket
    environment:
        DEBIAN_FRONTEND: noninteractive
        container: docker
